#
# spec file for package python-babel (Version 0.9.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-babel
Version:        0.9.6
Release:        4.5
License:        BSD
Group:          Development/Libraries/Python
Url:            http://babel.edgewall.org/
Source:         Babel-%{version}.tar.bz2
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} >= 1030
BuildRequires:  fdupes
%endif
BuildRequires:	python-devel python-setuptools
%{py_requires}
Summary:        Tools for Internationalizing Python Apps

%description
Babel is a Python library that provides an integrated collection of
utilities that assist with internationalizing and localizing Python
applications (in particular web-based applications.)


%prep
%setup -qn Babel-%{version}

%build
export CFLAGS="%{optflags}"
%__python setup.py build

%install
%__python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%if 0%{?suse_version} >= 1030
%fdupes %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc ChangeLog

%changelog
* Tue Oct  2 2012 cs@linux-administrator.com
- Update to 0.9.6
* Wed Sep  1 2010 jmatejek@novell.com
- added python-devel to buildrequires, to fix build on new python
  (because the package requires doctest, which requires unittest,
  which should probably both go into python-devel. (but this is
  subject to change))
- dropped check for obsolete SUSE version
* Sun Apr 25 2010 bitdealer@gmail.com
- Update to 0.9.5.
- Switch to noarch.
- Clean up spec.
